Summary: An implementation of the Scheme programming language.
Name: umb-scheme
Version: 3.2
Release: 13mdk
Copyright: GPL
Group: Development/Other
Source: ftp://ftp.cs.umb.edu/pub/scheme/umb-scheme-3.2.tar.bz2
Patch0: umb-scheme-3.2-misc.patch.bz2
Patch1: umb-scheme-3.2-texinfo.patch.bz2
Patch2: umb-scheme-3.2-config.patch.bz2
Patch3: umb-scheme-3.2-man.patch.bz2
BuildRoot: /var/tmp/umb-scheme-root
Packager: Enzo Maggi <enzo@mandrakesoft.com>

%description
UMB Scheme is a public domain implementation of the Scheme programming
language.  Scheme is a statically scoped and properly tail-recursive
dialect of the Lisp programming language, designed with clear and
simple semantics and a minimal number of ways to form expressions.

Install the umb-scheme package if you need an implementation of the
Scheme programming language.

%prep
%setup -q -n scheme-3.2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" RPM_OPT_FLAGS="$RPM_OPT_FLAGS"; exit 0)
        make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
else
        make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
fi
makeinfo scheme.texinfo

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,info,lib/umb-scheme,man/man1}

install -s -m755 scheme $RPM_BUILD_ROOT/usr/bin/umb-scheme
install -m755 scheme.1 $RPM_BUILD_ROOT/usr/man/man1/umb-scheme.1

cp -r slib $RPM_BUILD_ROOT/usr/lib/umb-scheme
install -m644 prelude.scheme $RPM_BUILD_ROOT/usr/lib/umb-scheme
install -m644 SLIB-for-umb-scheme.init $RPM_BUILD_ROOT/usr/lib/umb-scheme

install -m644 scheme.info $RPM_BUILD_ROOT/usr/info/umb-scheme.info

# bzip man/info pages
if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  bzip2 -9f $RPM_BUILD_ROOT/usr/info/*.info
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  bzip2 -9f $RPM_BUILD_ROOT/usr/X11R6/man/*/*
fi


%clean
rm -rf $RPM_BUILD_ROOT

%post

/sbin/install-info /usr/info/umb-scheme.info.bz2 /usr/info/dir \
  --entry="* umb-scheme: (umb-scheme).                     UMB Scheme Interpreter."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/umb-scheme.info.bz2 /usr/info/dir \
      --entry="* umb-scheme: (umb-scheme).                     UMB Scheme Interpreter."
fi

%files
%defattr(-,root,root)
%doc slib/ANNOUNCE slib/FAQ slib/README
/usr/lib/umb-scheme
/usr/bin/umb-scheme
/usr/man/man1/umb-scheme.1.bz2
/usr/info/umb-scheme.info.bz2

%changelog
* Tue Mar 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.2-13mdk
- Changed group, packager

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip man/info's 

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
